@charset "utf-8";

/*默认1920px*/
html {
  font-size: 100px;
  /*min-width: 1000px;*/
}

body, html {
  width: 100%;
  height: 100%;
  overflow-y: hidden;
  padding: 0;
  margin: 0;
  -webkit-tap-highlight-color: transparent;
  -webkit-overflow-scrolling: touch;
}

body {
  background-color: #f8f8f8;
  font-size: 0;
  font-family: -apple-system-font, Helvetica Neue, Helvetica, sans-serif;
}

body.export {
  box-sizing: border-box;
  max-width: 1000px;
  margin: 0 auto;
}

body.print-report {
  max-width: 800px;
  box-sizing: border-box;
  margin: 0 auto;
}

* {
  outline: none;
}

*:not(.el-table__body-wrapper, .el-table__fixed-body-wrapper, .scroll-bar-display ,.feedback-right-box)::-webkit-scrollbar {
  display: none;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

p {
  margin: 0;
}

/*基础*/
.clear-both:after {
  content: ' ';
  display: block;
  clear: both;
}

.no-select {
  line-height: 43px;
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Chrome/Safari/Opera */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently not supported by any browser */
}

.justify {
  text-align: justify;
}

.justify:after {
  content: '';
  width: 100%;
  display: inline-block;
  height: 0;
}

.mobile-preview img {
  max-width: 100%;
}

/*element*/
body .el-loading-mask {
  background-color: rgba(255, 255, 255, .4);
  z-index: 99999999;
}

.el-dialog__wrapper, .el-message-box__wrapper {
  background: rgba(0, 0, 0, 0.5);
}

.v-modal {
  display: none;
}

.top-tb {
  margin-bottom: 20px;
}

.top-tb .right {
  float: right;
}

.el-popper img {
  max-width: 50vw;
  max-height: 50vh;
}

.data-list-tb {
  margin-bottom: 10px;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  font-size: 14px;
}

.data-list-tb .add {
  float: left;
}

.data-list-tb .el-checkbox, .data-list-tb .tips {
  line-height: 40px;
}

.data-list-tb .el-input-group.query {
  width: 240px;
  float: right;
}

.data-list-tb .el-input-group .el-input-group__prepend {
  width: 90px;
}

.data-list-tb .query-right {
  float: right;
  text-align: right;
}

.data-list-tb .el-date-editor + .query {
  margin-left: 10px;
}

.data-list-tb .query-right .input-div, .data-list-tb .query-right .el-select {
  width: 180px;
  margin-right: 10px;
}

.data-list-tb .query-right .el-date-editor {
  width: 150px;
}

.el-button + .data-list {
  margin-top: 10px;
}

.data-list.el-table thead {
  color: #666;
}

.data-list.el-table .el-table__header tr th {
  background-color: #F4F8FB;
}

.data-list.el-table td, .data-list.el-table th {
  padding: 8px 0;
}

.data-list.el-table .el-table__inner-wrapper .el-table__cell {
  padding: 8px 0;
}

.data-list .img {
  max-width: 100px;
  max-height: 50px;
  vertical-align: middle;
}

.data-list a.link {
  text-decoration: underline;
  color: blue;
  cursor: pointer;
}

.data-list .blank-split {
  width: 100%;
  height: 5px;
}

.data-list.el-table .cell {
  white-space: nowrap;
  word-break: normal;
}

.data-list.el-table .cell .el-button--small {
  padding: 7px 15px;
  font-size: 12px;
  border-radius: 4px;
  height: 28px;
}

.data-list.el-table .cell .el-button--mini {
  height: 28px;
  font-size: 12px;
}

.el-dialog .el-dialog__header {
  text-align: left;
}

.el-dialog .el-dialog__body {
  padding: 20px 0;
}

.dialog-footer > .left {
  float: left;
}

.el-dialog__close {
  font-size: 10px;
}

.el-dialog__wrapper > .el-dialog {
  position: relative;
  margin: 0 auto;
  left: 0;
  min-width: 430px;
  transform: none;
}

.dialog > .el-dialog {
  width: 10rem;
}

.el-tooltip__popper > img {
  max-width: 500px;
}

.el-form-item__content > .el-select, .el-form-item__content > .el-cascader, .el-form-item__content > .el-date-editor.el-input {
  width: 100%;
}

.el-form-item__label {
  width: 120px !important;
}

.el-form-item.multi-input .el-form-item__content {
  display: flex;
}

.el-form-item.multi-input .el-form-item__content .el-input {
  flex: 1;
}

.el-form-item.multi-input .el-form-item__content .multi-input-split {
  padding: 0 5px;
}

/*提示框*/
.el-notification.import-excel {
  background-color: #000;
  border: none;
}

.el-notification.import-excel .el-notification__group {
  width: 100%;
}

.el-notification.import-excel .el-notification__title {
  color: #fff;
}

.el-notification.import-excel .el-notification__content {
  max-height: 4rem;
  color: #25fe15;
  overflow: auto;
}

.el-select-dropdown {
  z-index: 99999 !important;
  max-width: 10rem;
}

.el-radio.is-bordered {
  margin-right: 0;
}

/* 去掉input 为number的图标*/
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none !important;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

.tips {
  font-size: .16rem;
  color: red;
  line-height: .3rem;
}

.tips * {
  vertical-align: middle;
}

.tips .fa {
  color: #d0d001;
  margin-right: .05rem;
}

.form-title {
  color: #303133;
  font-size: 13px;
  line-height: 48px;
  font-weight: bold;
}

.form-title-border {
  position: relative;
  padding-left: 10px;
}

.form-title-border:before {
  content: '';
  position: absolute;
  width: 4px;
  height: 18px;
  top: 15px;
  left: 0;
  border-radius: 3px;
  background-color: #50AAFB;
}

.form-title-box {
  padding: 0 15px;
  box-sizing: border-box;
  margin-bottom: 20px;
  background-color: #f2f3f4;
}

.el-button.save-btn {
  width: 100%;
}

.el-tabs--card > .el-tabs__header > .el-tabs__nav-wrap > .el-tabs__nav-scroll > .el-tabs__nav > .el-tabs__item {
  background-color: #f2f3f4;
}

.el-tabs--card > .el-tabs__header > .el-tabs__nav-wrap > .el-tabs__nav-scroll > .el-tabs__nav > .el-tabs__item.is-active {
  background-color: #FFFFFF;
}

/*按钮点击效果*/
.btn-active:hover {
  filter: brightness(1.05);
  cursor: pointer;
}

.btn-active:active {
  filter: grayscale(0.1);
}

.select-time {
  width: 150px !important;
  margin-left: 5px;
}

.select-time-type {
  margin-left: 10px
}

/*表格通用样式*/
.list-table {
  position: relative;
  padding: 20px;
  background: #FFFFFF;
}

.list-table .button-group {
  display: flex;
  flex-direction: row-reverse;
  margin-bottom: 16px;
}

.list-table .button-group button {
  margin-left: 16px;
  padding: 6px 12px !important;
  border: none;
  outline: none;
  background: #FFFFFF;
  border-radius: 1px;
  border: 1px solid #E5E6E8;
  color: #4E5969;
  font-size: 14px;
  display: flex;
  align-items: center;
}

.list-table .button-group button span {
  color: #4E5969;
}

.button-icon {
  width: 16px;
  height: 16px;
  margin: 0 5px 0 0;
}

.red {
  color: #F53F3F;
}

.black {
  color: #1D2129;
}

.el-menu--horizontal .el-sub-menu.is-active .el-sub-menu__title {
  border-bottom: 2px solid #2A6BFF !important;
}

.el-menu--horizontal .el-menu .el-menu-item.is-active {
  color: #2A6BFF !important;
}

.public-title {
  padding: 16px 20px;
  border-radius: 2px 2px 0px 0px;
  display: flex;
}

.public-title .title-name {
  position: relative;
  padding-left: 11px;
  font-weight: 500;
}

.public-title .title-name::before {
  content: '';
  width: 4px;
  height: 14px;
  overflow: hidden;
  background: #2A6BFF;
  position: absolute;
  bottom: 0;
  left: 0;
  top: 0;
  margin: auto;
  border-radius: 2px;
}
/*pubilcTooltip组件换行显示*/
.show-tooltip-box {
  max-width: 300px;
  font-size: 14px;
  line-height: 22px;
}
/* 解决固定列时，滚动条被遮掩问题 */
/*.el-table .el-table__fixed {*/
/*  height:auto !important;*/
/*  bottom:17px !important;*/
/*}*/
/*.el-table .el-table__fixed-right {*/
/*  height:auto !important;*/
/*  bottom:17px !important;*/
/*}*/
/*解决高度固定、列固定时表格错位问题 （给表格添加fix-table类名 高度固定给表格添加 :max-height属性） */
.fix-table .el-table__fixed {
  bottom: 0px !important;
}

.fix-table .el-table__fixed-body-wrapper {
  bottom: 8px !important;
}

.el-table .el-table__inner-wrapper .el-table__cell {
  padding: 12px 0;
}
